#!/usr/bin/env bash

BASEDIR=$(dirname "$0")
cd $BASEDIR
FILES=$(ls)

git clone https://github.com/wolfpld/tracy .up
cd .up
TAG=$(git describe --tags $(git rev-list --tags --max-count=1))
echo "Apply tag $TAG"
git checkout $TAG
cp -rf $FILES ..
cd ..
rm */*.mk
rm -rf .up
echo "Done"